/*
 * $Id: CategoryLabel.h,v 1.2 2003/02/21 03:33:53 adeniz Exp $
 * This file is part of qualres
 *
 * Copyright (C) 2002  Baker Research, Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA.
 */
 
/*
 * See the AUTHORS file for a list of people on the gedit Team.  See the
 * ChangeLog files for a list of changes.
 */

#ifndef CATEGORYLABEL_H
#define CATEGORYLABEL_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif
#include <Component.h>
#include <set>
#include <slist>
#include <gtk/gtk.h>
#include <gnome.h>

/** Class CategoryLabel

    This class implements the methods for a CategoryLabel

    This class stores the text view widget for displaying one Category
    name in a Document window, and any associated information.

*/
class CategoryLabel
{
public:
  CategoryLabel(Category *);
  virtual ~CategoryLabel();

  /// Get the text view widget.
  GtkWidget *getTextView() const { return(textView); }

  /// Get the Category.
  Category *getCategory() const { return(cat); }

  void openCategory() const;
  void bringCategoryToFront() const;

private:
  GtkWidget *textView; ///< Text view for the Category name.
  Category *cat; ///< Pointer to the Category.
};

#endif
